Skip to main content
`Ctrl`+`K`

# TSRegister

Adds a creation method to the `TS` package.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRegister(const char sname[], PetscErrorCode (*function)(TS))

Not Collective, No Fortran Support

## Input Parameters

- sname - The name of a new user-defined creation routine

- function - The creation routine itself

## Notes

`TSRegister()` may be called multiple times to add several user-defined tses.

## Example Usage

      TSRegister("my_ts",  MyTSCreate);

Then, your ts type can be chosen with the procedural interface via

        TS ts;
        TSCreate(MPI_Comm, &ts);
        TSSetType(ts, "my_ts")

or at runtime via the option

        -ts_type my_ts

## See Also

TS: Scalable ODE and DAE Solvers, `TSSetType()`, `TSType`, `TSRegisterAll()`, `TSRegisterDestroy()`

## Level

advanced

## Location

src/ts/interface/tsreg.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages